#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,k,v;
    cin>>n>>k;
    int niz[n];
    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
        if(niz[i-1]==k)
        {
            v=niz[i];
        }
    }
    if(niz[n-1]==k)
    {
        v=niz[0];
    }
    cout<<v;
}